#ident "$Id: arm.h,v 1.3 2001/11/19 01:07:16 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

/*
 * sysdep/arm.h
 *
 * System-specific constants for arm, included from system.h
 */

/* These constants are appropriate for Linux/arm */

#include "sysdep/32bit.h"

/* This is where we map the database file - must be constant */
/**** THIS ASSUMES AN ARM with TASK_SIZE 0xc0000000 which seems to apply
      to most, but not all, ARM machines.  I don't even bother with 26-bit
      ARM marchines here... ****/
#define ARENA_ADDRESS	((void *)0x58000000UL)
