#ident "$Id: sparc32.h,v 1.4 2001/10/26 22:12:27 hpa Exp $"
/* ----------------------------------------------------------------------- *
 *   
 *   Copyright 2000-2001 H. Peter Anvin - All Rights Reserved
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as
 *   published by the Free Software Foundation, Inc.,
 *   59 Temple Place Ste 330, Boston MA 02111-1307, USA, version 2.1,
 *   incorporated herein by reference.
 *
 * ----------------------------------------------------------------------- */

/*
 * sysdep/sparc32.h
 *
 * System-specific constants for sparc32, included from system.h
 */

/* These constants are appropriate for Linux/sparc32 */

#include "sysdep/32bit.h"

/* This is where we map the database file - must be constant */
#if 1
/* This is appropriate for sun4m or sun4u in 32-bit mode, and
   allows a 1 GB database. */
#define ARENA_ADDRESS	((void *)0x9000000UL)
#else
/* This works on sun4c/sun4m/sun4u, but only allows 128 MB of database */
#define ARENA_ADDRESS	((void *)0xe4000000UL)
#endif
